server {
    listen                             443 ssl;
    listen                             [::]:443 ssl;
    server_name                        0.0.0.0;
    root /usr/local/omc/htdocs/front/;
    index index.html index.htm;
    server_name localhost;
    # SSL
    #ssl_certificate                    /usr/local/omc/etc/certs/ca_cert.pem;
    #ssl_certificate_key                /usr/local/omc/etc/certs/private_key.pem;
    ssl_certificate                    /usr/local/omc/etc/certs/tsa-omc.pem;
    ssl_certificate_key                /usr/local/omc/etc/certs/tsa-omc_pri.pem;
    
#    location /api/rest/securityManagement {
#        proxy_pass                         http://127.0.0.1:5050;
#    }
#    location /api/rest/resourceManagement {
#        proxy_pass                         http://127.0.0.1:5050;
#    }
#    location /api/rest/performanceManagement {
#        proxy_pass                         http://127.0.0.1:5050;
#    }
#    location /api/rest/faultManagement {
#        proxy_pass                         http://127.0.0.1:5050;
#    }
#    location /api/rest/aaaa/ {
#	    proxy_pass                         http://127.0.0.1:4040;
#    }
    location /api/rest/ {
	    proxy_pass                         http://127.0.0.1:3030;
    } 		 			
    location / {
            try_files $uri $uri/ =404;
    }
}

server {
	listen 8888 default_server;
	listen [::]:8888 default_server;
	root /usr/local/omc/htdocs/front/;
	index index.html index.htm;
	server_name localhost;
	location / {
    		try_files $uri $uri/ =404;
	}
}

